#!/bin/bash
ulimit -s unlimited
. shrc

CPU_CORE=`lscpu|grep "CPU(s)"|head -n 1|awk -F " " '{print $2}'`

echo "spec2017"

if [ $# -eq 2 ] ; then 
   #使用多核测试所有程序(-C n(表示n个核测试intrate fprate的分数)  --threads=m (m表示使用m个核测试intspeed和fpspeed的分数))
   runcpu -c gcc-loongarch-2017-3a6000-15.v1.$1.cfg  -i ref -n 3 intrate fprate intspeed fpspeed   -C $1  --threads=$2 -D
else
   #测试单核所有的程序
   runcpu -c gcc-loongarch-2017-3a6000-15.v1.0.cfg  -i ref -n 3 intrate fprate intspeed fpspeed   -C 1  --threads=1 -D
fi

